View Issue Details

IDProjectCategoryView StatusLast Update
0002963Ham Radio DeluxeBugpublic2019-01-16 22:04
Reporterg3yppAssigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.5.0.183 
Summary0002963: Icom Memory Management function erroneously reporting failute to update
DescriptionI've noticed a problem with the "Icom Memory Keyer" under Tools>Memory Management.

After changing the contents of a keyer memory and pressing the update button - although the memory on the rig is updated successfully a failure dialogue box appears.

The function actually works fine and reads and updates the keyer memories on my IC-7600.

 I can't say that this has just appeared in this release - it's a while since I used it.
Steps To ReproduceGo to Tools>Memory Management>Icom Memory Keyer

After memories have been read, change text in any memory
Press "Apply"

Dialogue box opens but rig is successfully updated
TagsNo tags attached.
ModuleRig Control
Sub-ModuleRig Control
Testing Beta Successful

Relationships

related to 0001315 closed 4 - Closed w/o Action Memory manager for Icom IC7000 is not working in HRD 
related to 0001330 closed 4 - Closed w/o Action Icom Memory management in HRD does not work 

Activities

g3ypp

2018-12-04 09:19

viewer  

icom_memory_keyer.JPG (116,940 bytes)
icom_memory_keyer.JPG (116,940 bytes)

g3ucq

2018-12-04 10:16

viewer   ~0006523

I have never used this function but can now confirm G3YPP's observation with my IC-7610.

K7ZCZ

2018-12-15 12:34

administrator   ~0006657

Thanks for the clear report! The code was expecting a positive response from the radio twice in a row -- the radio, of course, only sends one.

Fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4569

g3ypp

2018-12-18 02:20

viewer   ~0006698

Yes, it's fixed in .157 and working as it should. Thanks for quick fix.

g3ucq

2018-12-18 03:33

viewer   ~0006699

Also fixed for me in .157.

Issue History

Date Modified Username Field Change
2018-12-04 09:19 g3ypp New Issue
2018-12-04 09:19 g3ypp File Added: icom_memory_keyer.JPG
2018-12-04 10:16 g3ucq Note Added: 0006523
2018-12-15 12:34 K7ZCZ Assigned To => K7ZCZ
2018-12-15 12:34 K7ZCZ Status new => resolved
2018-12-15 12:34 K7ZCZ Resolution open => fixed
2018-12-15 12:34 K7ZCZ Note Added: 0006657
2018-12-15 12:34 K7ZCZ Project 2 - Next Dev List (Holding Area) => 3 - Current Dev List
2018-12-16 10:19 K7ZCZ Relationship added related to 0001330
2018-12-17 14:46 K7ZCZ Fixed in Version => 6.5.0.157
2018-12-18 02:20 g3ypp Note Added: 0006698
2018-12-18 03:33 g3ucq Note Added: 0006699
2018-12-20 22:31 WA9PIE Status resolved => closed
2018-12-20 22:31 WA9PIE Testing Not Started => Beta Successful
2018-12-27 16:09 K7ZCZ Relationship added related to 0001315
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.157 => 6.5.0.183
2019-01-16 22:04 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe